import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterHouseSubmitDispenserService = createAsyncThunk(
  "SLAUGHTER_SUBMIT_DISPENSER",
  async (d, { dispatch }) => {
    try {
      const { data, status } = await axios.post("dispenser/", d);
      dispatch(LOADING_START());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);

export const slaughterHouseEditDispenserService = createAsyncThunk(
  "SLAUGHTER_EDIT_DISPENSER",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.put("dispenser/0/", d);
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return {
        error:
          e.response?.data?.result ||
          e.response?.data ||
          "خطا در ویرایش توزیع کننده",
      };
    }
  }
);
